#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: abstract-deque
version: 0.3
id: abstract-deque-0.3-b91ea457204829b404cb65530a40521d
key: abstr_Ffr3SHIuIU1AkT718g7lkN
license: BSD3
maintainer: rrnewton@gmail.com
homepage: https://github.com/rrnewton/haskell-lockfree/wiki
synopsis: Abstract, parameterized interface to mutable Deques.
description:
    An abstract interface to highly-parameterizable queues/deques.
    .
    Background: There exists a feature space for queues that extends between:
    .
    * simple, single-ended, non-concurrent, bounded queues
    .
    * double-ended, threadsafe, growable queues
    .
    ... with important points inbetween (such as
    the queues used for work-stealing).
    .
    This package includes an interface for Deques that allows the
    programmer to use a single API for all of the above, while using the
    type-system to select an efficient implementation given the
    requirements (using type families).
    .
    This package also includes a simple reference implementation based
    on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
exposed-modules:
    Data.Concurrent.Deque.Class Data.Concurrent.Deque.Reference
    Data.Concurrent.Deque.Reference.DequeInstance
    Data.Concurrent.Deque.Debugger
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/abstract-deque-0.3
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/abstract-deque-0.3
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/abstract-deque-0.3
hs-libraries: HSabstract-deque-0.3-Ffr3SHIuIU1AkT718g7lkN
include-dirs: /usr/local/include
depends:
    array-0.5.1.0-aabf9daaf6d89a89ffdaf632a0eb259e
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    random-1.1-859a5366f9cc240228128d890d4923be
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/abstract-deque-0.3/html/abstract-deque.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/abstract-deque-0.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
